Package io.papermc.paper.event.player

# Class PlayerLecternPageChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerLecternPageChangeEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerLecternPageChangeEvent extends PlayerEvent implements Cancellable

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PlayerLecternPageChangeEvent.PageChangeDirection`

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLecternPageChangeEvent(@NotNull Player player, @NotNull Lectern lectern, @NotNull ItemStack book, @NotNull PlayerLecternPageChangeEvent.PageChangeDirection pageChangeDirection, int oldPage, int newPage)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ItemStack`
`getBook()`
Gets the current ItemStack on the lectern.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Lectern`
`getLectern()`
Gets the lectern involved.
`int`
`getNewPage()`
Gets the page changed to.
`int`
`getOldPage()`
Gets the page changed from.
`@NotNull PlayerLecternPageChangeEvent.PageChangeDirection`
`getPageChangeDirection()`
Gets the page change direction.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setNewPage(int newPage)`
Sets the page changed to.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLecternPageChangeEvent

public PlayerLecternPageChangeEvent(@NotNull @NotNull Player player, @NotNull @NotNull Lectern lectern, @NotNull @NotNull ItemStack book, @NotNull @NotNull PlayerLecternPageChangeEvent.PageChangeDirection pageChangeDirection, int oldPage, int newPage)

## Method Details

### getLectern

@NotNull public @NotNull Lectern getLectern()
Gets the lectern involved.

Returns:
  the Lectern

### getBook

@NotNull public @NotNull ItemStack getBook()
Gets the current ItemStack on the lectern.

Returns:
  the ItemStack on the Lectern

### getPageChangeDirection

@NotNull public @NotNull PlayerLecternPageChangeEvent.PageChangeDirection getPageChangeDirection()
Gets the page change direction. This is essentially returns which button the player clicked, left or right.

Returns:
  the page change direction

### getOldPage

public int getOldPage()
Gets the page changed from. Pages are 0-indexed.

Returns:
  the page changed from

### getNewPage

public int getNewPage()
Gets the page changed to. Pages are 0-indexed.

Returns:
  the page changed to

### setNewPage

public void setNewPage(int newPage)
Sets the page changed to. Pages are 0-indexed. Page indices that are greater than the number of pages will show the last page.

Parameters:
  `newPage` - the new paged changed to

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()